debian/preinst
changeset 0 586472add385
child 26 767f79e69de1
new file mode 100644
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# preinst script for mcbot
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+	if [ -x /etc/init.d/mcbot ]; 
+	then
+		/etc/init.d/mcbot stop;
+	fi
+
+	if [ -f /var/lib/nobody/.mcbotrc ]; 
+	then
+		cp -f /var/lib/nobody/.mcbotrc /var/lib/nobody/.mcbotrc.dpkg-old
+	fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+